Back to LinkedIn
Apify·LinkedIn

Search LinkedIn Posts

/harvestapi/linkedin-post-searchasync$0.018 / result

Search LinkedIn Posts with advanced filters by target profiles or companies. No cookies or account required. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • searchQueriesarray

    Queries to search LinkedIn posts. The same query as you would use in the LinkedIn search bar.

  • maxPostsinteger

    Maximum number of posts to scrape per each search query. If you set this to 0, it will scrape all posts.

  • postedLimitstring

    Fetch posts no older than X time. Options: '1h', '24h', 'week', 'month'.

    any, 1h, 24h, week, month, 3months, 6months, year

  • postedLimitDatestring

    Scrape posts from now up to and including this date. It supports the [Date time string format](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date#date_time_string_format). For example, "2011-10-10", or "2011-10-10T14:48:00.000+09:00" or a timestamp: "628021800000"

  • sortBystring

    Sort by 'relevance' or 'date'.

    relevance, date

  • authorUrlsarray

    List of LinkedIn profile or company URLs to scrape. Example: `https://www.linkedin.com/in/williamhgates` will fetch posted or re-posted content by Bill Gates.

  • authorsCompaniesarray

    Scrape posts of profile-authors who assigned to LinkedIn Company Names of these companies. Example: `Google` will fetch posts of Google employees or ex-employees in some cases.

  • mentioningMemberarray

    List of LinkedIn profile URLs of members mentioned in posts. Example: `https://www.linkedin.com/in/williamhgates` will fetch posts mentioning Bill Gates.

  • mentioningCompanyarray

    List of LinkedIn Company Names mentioned in posts. Example: `https://www.linkedin.com/company/google` will fetch posts mentioning Google.

  • contentTypestring

    Filter posts by content type. For example, if you choose 'Videos', it will scrape only posts containing videos.

    all, videos, images, jobs, live_videos, documents, collaborative_articles

  • authorsIndustryIdarray

    Scrape posts of profile-authors who assigned to LinkedIn Industry IDs of these industries. Full list: https://github.com/HarvestAPI/linkedin-industry-codes-v2/blob/main/linkedin_industry_code_v2_all_eng.csv

  • authorKeywordsstring

    Scrape posts of profile-authors whose profiles contain at least one of these keywords in the headline or job title sections.

  • profileScraperModestring

    Choose the mode for scraping LinkedIn profiles. The Short mode provides basic information, while the Full mode includes full detailed profile data. (default "short")

    short, main

  • startPageinteger

    The page number to start scraping from. (default 1)

  • scrapePagesinteger

    The number of search pages to scrape. Each page contains 100 posts

  • scrapeReactionsboolean

    Scrape reactions of posts.

  • maxReactionsinteger

    Maximum number of reactions to scrape per post. Default is 10.

  • reactionsProfileScraperModestring

    Choose the mode for scraping LinkedIn profiles. The Short mode provides basic information, while the Full mode includes full detailed profile data. (default "short")

    short, main

  • postNestedReactionsboolean

    Whether to add reactions items inside post items. In a case of hundreds of reactions, the Actor might hit the max item size limit and won't be able to save a post.

  • scrapeCommentsboolean

    Scrape comments of posts.

  • commentsPostedLimitstring

    Fetch comments no older than X time. Options: '1h', '24h', 'week', 'month'.

    any, 1h, 24h, week, month, 3months, 6months, year

  • maxCommentsinteger

    Maximum number of comments to scrape per post. Default is 10.

  • commentsProfileScraperModestring

    Choose the mode for scraping LinkedIn profiles. The Short mode provides basic information, while the Full mode includes full detailed profile data. (default "short")

    short, main

  • postNestedCommentsboolean

    Whether to add comments items inside post items. In a case of hundreds of comments, the Actor might hit the max item size limit and won't be able to save a post.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/harvestapi/linkedin-post-search","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.